Subject: Re: Cygwin/Procmail stops working after setup.exe upgrade
From: Thomas Baker <[email-masked]>
To: Bjoern Kahl AG Resy <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Oct 2002 11:53:43 +0200

On Wed, Oct 23, 2002 at 11:47:27AM +0200, Bjoern Kahl AG Resy wrote:
> > > On Wed, Oct 23, 2002 at 11:15:34AM +0200, Thomas Baker wrote:
> > > > ..even though "echo $HOME" in a Bash window confirms that
> > > > $HOME is "/cygdrive/e".
> > >
> > > AFAIK cygwin takes the home directory from /etc/passwd.
> >
> > Oho, indeed it does, and "/home/tbaker" doesn't (yet) exist!
> >
> > Any reason I shouldn't just "vi /etc/passwd" to reset HOME to
> > "/cygdrive/e"?
> 
>  Hmm. hacking araound in passwd is not the best thing to do.
>  Next time you run "mkpasswd" your changes may get lost.

Sounds wise...

>  I think its better to use mount the map /home/tbaker to the
>  place your files life.
> 
>  If you have multiple accouts. its even better to map /home to a
>  place, where all user have a directory with there username.

Yikes... just when I was getting used to ntsec/permissions,
yet another WIN32/Unix oddity to contend with...!

Looks like it might be easier just to spell out "/cygdrive/e"
in my .procmailrc instead of using the $HOME variable
there...??

Tom

-- 
Dr. Thomas Baker                                [email-masked]
Institutszentrum Schloss Birlinghoven          mobile +49-171-408-5784
Fraunhofer-Gesellschaft                          work +49-30-8109-9027
53754 Sankt Augustin, Germany                    fax +49-2241-144-2352

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/